#!/usr/bin/env python
"""
Copyright (C) 2017, Intel Corporation. All rights reserved.

Log output routines"""
from time import gmtime, strftime
import messages
import glob

STR_SYSTEM_INFO = messages.MSG_NAME + """ %s
""" + messages.MSG_MANUFACTURER + """ %s
""" + messages.MSG_MODEL + """ %s
""" + messages.MSG_PROC + """ %s
""" + messages.MSG_OS + """ %s
"""

STR_ME_INFO = messages.MSG_ENGINE + """ %s
""" + messages.MSG_FW_VERSION + """ %s
""" + messages.MSG_FW_SVN + """ %s
"""

STR_ME_INFO_SPS = messages.MSG_ENGINE + """ %s
""" + messages.MSG_FW_VERSION + """ %s
"""

LOG_FILENAME = ""

def start(hostname):
    '''Start logging'''
    global LOG_FILENAME
    time = gmtime()
    LOG_FILENAME = "SA-00086-%s-%s.log" % (hostname,
                                           strftime("%Y-%m-%d-%H-%M-%S", time))
    log("Tool Started %s\n" % strftime("%Y-%m-%d %H:%M:%S GMT", time))

def log(message):
    '''Log message to log'''
    if not LOG_FILENAME: #not started
        return
    with open(LOG_FILENAME, "a") as the_file:
        the_file.write(message)

def log_system_info(hostname, manufacturer, model, processor, distribution):
    '''Log system information'''
    log(STR_SYSTEM_INFO % (hostname, manufacturer, model, processor,
                           distribution))

def log_me_info(family, ver_str, svn):
    '''Log ME information'''
    if family == glob.SPS:
        log(STR_ME_INFO_SPS % (glob.family2str(family), ver_str))
    else:
        log(STR_ME_INFO % (glob.family2str(family), ver_str, svn))

def stop():
    '''Stop logging'''
    log("Tool Stopped\n")
